org.apache.cassandra.tools

## Class SSTableExport

- java.lang.Object
- - org.apache.cassandra.tools.SSTableExport

    public class SSTableExport
    extends java.lang.Object

Export SSTables to JSON format.

### Constructor Summary

Constructors
Constructor and Description
`SSTableExport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)` Given arguments specifying an SSTable, and optionally an output file, export the contents of the SSTable to JSON.
`static CFMetaData` `metadataFromSSTable(Descriptor desc)` Construct table schema from info stored in SSTable's Stats.db

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSTableExport

    public SSTableExport()

### Method Detail

#### metadataFromSSTable

    public static CFMetaData metadataFromSSTable(Descriptor desc)
                                          throws java.io.IOException

Construct table schema from info stored in SSTable's Stats.db

Parameters:
  `desc` - SSTable's descriptor
Returns:
  Restored CFMetaData
Throws:
  `java.io.IOException` - when Stats.db cannot be read

#### main

    public static void main(java.lang.String[] args)
                     throws ConfigurationException

Given arguments specifying an SSTable, and optionally an output file, export the contents of the SSTable to JSON.

Parameters:
  `args` - command lines arguments
Throws:
  `ConfigurationException` - on configuration failure (wrong params given)